function [vector]=reduce(expanded_v,K)
% reverse transformation of the function "expand"
% vector is a 1-by-K vector
% expanded_v is a 1-by-2^K vector in the following order
% intercept, a1, a2, a12, a3, a13, a23, a123, a4, a14, a24, a124, a34,
% a134, a234, a1234....
% K>=3
vector(1)=expanded_v(2);
vector(2)=expanded_v(3);
for k=2:K
    vector(k)=expanded_v(2^(k-1)+1);
end